# $Revision: 1.11 $, $Date: 2006/01/01 12:11:01 $
%define tarname ncurses-ruby
Summary:	Ruby interface to Ncurses
Summary(pl):	Interfejs Ncurses dla Ruby
Name:		ruby-Ncurses
Version:	0.9.1
Release:	4
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://download.berlios.de/%{tarname}/%{tarname}-%{version}.tar.bz2
# Source0-md5:	cb99721b492995bb3548b700b6e86fe2
URL:		http://ncurses-ruby.berlios.de/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8.4-5
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This ruby extension makes most functions, constants, and external
variables of the C library ncurses accessible from the Ruby
programming language.

All C functions are wrapped by module functions of a the module
"Ncurses", with exactly the same name. Additionally, C functions
expecting a WINDOW* as their first argument can also be called as
methods of the "Ncurses::WINDOW" class.

%description -l pl
Rozszerzenie do ruby, ktre umoliwia dostp do wikszo funkcji,
staych i zewntrznych zmiennych biblioteki ncurses z poziomu jzyka
Ruby.

Wszystkie funkcje C s dostpne poprzez funkcje moduu "Ncurses" pod
dokadnie tymi samymi nazwami. Dodatkowo funkcje, ktre spodziewaj
si mie WINDOW* jako ich pierwszy argument mog by take wywoywane
jako metody klasy "Ncurses::WINDOW".

%prep
%setup -q -n %{tarname}-%{version}

%build
ruby extconf.rb

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc --ri --op ri lib
rdoc --op rdoc lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_archdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
install ncurses.so $RPM_BUILD_ROOT%{ruby_archdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rdoc
%{ruby_rubylibdir}/*.rb
%attr(755,root,root) %{ruby_archdir}/*.so
%{ruby_ridir}/Ncurses

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-Ncurses.spec,v $
Revision 1.11  2006/01/01 12:11:01  twittner
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 4, STBR

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 09:42:06  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2004/10/24 23:10:03  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/09/05 18:24:29  qboosh
- typo, formatting, .so perms

Revision 1.4  2004/09/05 00:03:34  havner
- rel 2

Revision 1.3  2004/09/04 22:51:55  havner
- pl fixes

Revision 1.2  2004/09/04 22:37:51  havner
- pl description

Revision 1.1  2004/09/04 22:04:29  aredridel
- added. g'day, havner!
